### Method

# GdkX11 X11Display get_primary_monitor

#### Declaration [src]

    GdkMonitor*
    gdk_x11_display_get_primary_monitor (
      GdkDisplay* display
    )

#### Description [src]

Gets the primary monitor for the display.

The primary monitor is considered the monitor where the “main desktop” lives. While normal application surfaces typically allow the window manager to place the surfaces, specialized desktop applications such as panels should place themselves on the primary monitor.

If no monitor is the designated primary monitor, any monitor (usually the first) may be returned.

#### Return value

Type: `GdkMonitor`

The primary monitor, or any monitor if no primary monitor is configured by the user.

The returned data is owned by the instance.